petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDrawBarSetData

ogically Collective on PetscDrawBar

### Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawBarSetData(PetscDrawBar bar,PetscInt bins,const PetscReal data[],const char *const *labels)

### Input Parameter

| bar | - The bar graph context.
| bins | - number of items
| values | - values of each item
| labels | - optional label for each bar, NULL terminated array of strings

### Notes

Call PetscDrawBarDraw() after this call to display the new plot

### See Also

PetscDrawBarCreate(), PetscDrawBar, PetscDrawBarDraw()

### Level

intermediate

### Location

src/sys/classes/draw/utils/bars.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages